package cn.com.qmth.examcloud.core.oe.student.dao;

import cn.com.qmth.examcloud.web.jpa.UniqueRule;
import com.google.common.collect.Lists;

import java.util.List;

/**
 * @Description 唯一约束holder 状态码范围110XXX
 * @Author lideyin
 * @Date 2019/9/7 11:43
 * @Version 1.0
 */
public class UniqueRuleHolder {
    private static List<UniqueRule> LIST = Lists.newArrayList();

    public static List<UniqueRule> getUniqueRuleList() {
        return LIST;
    }

    static {
        // ResourceEntity
        LIST.add(new UniqueRule("IDX_E_O_E_A_001", "110001", "考试审核记录已存在"));
        LIST.add(new UniqueRule("IDX_E_O_E_C_001", "110002", "抓拍照片处理结果已存在"));
        LIST.add(new UniqueRule("IDX_E_O_E_C_Q_001", "110003", "拍拍照片队列已存在"));
        LIST.add(new UniqueRule("IDX_E_O_E_F_A_T_001", "110004", "文件作答结果已存在"));
        LIST.add(new UniqueRule("IDX_E_O_E_R_002", "110005", "考生已存在进行中的考试"));
        LIST.add(new UniqueRule("IDX_E_O_E_R_D_001", "110006", "考试记录已存在"));
        LIST.add(new UniqueRule("IDX_E_O_E_R_4_M_001", "110007", "待阅卷的考试记录已存在"));
        LIST.add(new UniqueRule("IDX_E_O_E_S_001", "110008", "考试分数已存在"));
        LIST.add(new UniqueRule("IDX_E_O_E_S_001", "110009", "考生已存在"));
        LIST.add(new UniqueRule("IDX_E_O_E_O_S_H_001", "110010", "机构推分队列已存在"));
    }
}
