package cn.com.qmth.examcloud.core.oe.student.dao.enums;

/**
 * @author chenken
 * @date 2018年2月5日 上午8:38:04
 * @company QMTH
 * @description 人脸活体检测验证结果
 */
public enum FaceVerifyResult {

    VERIFY_SUCCESS("验证成功"),

    VERIFY_FAILED("动作有误,验证失败"),

    NOT_ONESELF("不是本人"),

    TIME_OUT("超时未完成"),

    SCREEN_REPLAY("屏幕翻拍"),

    UNKNOWN("未知");

    public static String getDescByName(Object name) {
        if (name == null) {
            return "检测界面打开后未开启检测";
        }
        String nameString = name.toString();
        for (FaceVerifyResult faceVerifyResult : FaceVerifyResult.values()) {
            if (nameString.equals(faceVerifyResult.name())) {
                return faceVerifyResult.getDesc();
            }
        }
        return "";
    }

    private String desc;

    FaceVerifyResult(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

}	

