package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class CheckQrCodeInfo implements JsonSerializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 7830558100815856011L;
	@ApiModelProperty(value = "登录信息key")
	private String key;
	@ApiModelProperty(value = "登录信息token")
	private String token;
	@ApiModelProperty(value = "考生ID")
	private Long examStudentId;
	@ApiModelProperty(value = "考试记录DataID")
	private Long examRecordDataId;
	@ApiModelProperty(value = "考试试题题序")
	private Integer questionOrder;
	@ApiModelProperty(value = "考试试题大题号")
    private Integer questionMainNumber;
	@ApiModelProperty(value = "课程ID")
	private Long courseId;
	@ApiModelProperty(value = "课程名称")
	private String courseName;
	@ApiModelProperty(value = "小题显示序号")
    private Integer subNumber;
	public String getKey() {
		return key;
	}
	public void setKey(String key) {
		this.key = key;
	}
	public String getToken() {
		return token;
	}
	public void setToken(String token) {
		this.token = token;
	}

	public Long getExamStudentId() {
		return examStudentId;
	}

	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Long getCourseId() {
		return courseId;
	}
	public void setCourseId(Long courseId) {
		this.courseId = courseId;
	}
	public String getCourseName() {
		return courseName;
	}
	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}
	public Integer getQuestionOrder() {
		return questionOrder;
	}
	public void setQuestionOrder(Integer questionOrder) {
		this.questionOrder = questionOrder;
	}
	public Integer getQuestionMainNumber() {
		return questionMainNumber;
	}
	public void setQuestionMainNumber(Integer questionMainNumber) {
		this.questionMainNumber = questionMainNumber;
	}
	public Integer getSubNumber() {
		return subNumber;
	}
	public void setSubNumber(Integer subNumber) {
		this.subNumber = subNumber;
	}
	
}
