package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 人脸活体检测基础信息信息
 * @Author lideyin
 * @Date 2019/10/14 11:21
 * @Version 1.0
 */
public class FaceBiopsyBaseInfo implements JsonSerializable {
    private static final long serialVersionUID = 3639013689409712841L;

    @ApiModelProperty(value = "活体检测方案", notes = "S1:旧方案;S2:新方案", required = true)
    private String identificationOfLivingBodyScheme;

    @ApiModelProperty(value = "活体检测开始分钟数", required = true)
    private Integer faceVerifyMinute;

    public String getIdentificationOfLivingBodyScheme() {
        return identificationOfLivingBodyScheme;
    }

    public void setIdentificationOfLivingBodyScheme(String identificationOfLivingBodyScheme) {
        this.identificationOfLivingBodyScheme = identificationOfLivingBodyScheme;
    }

    public Integer getFaceVerifyMinute() {
        return faceVerifyMinute;
    }

    public void setFaceVerifyMinute(Integer faceVerifyMinute) {
        this.faceVerifyMinute = faceVerifyMinute;
    }
}
