package cn.com.qmth.examcloud.core.oe.student.bean;

import java.util.Map;

import cn.com.qmth.examcloud.web.filestorage.FileStorageType;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 获取阿里云签名实体
 */
public class GetAliyunSignDomain extends GetYunSignDomain {

	/**
	 * 
	 */
	private static final long serialVersionUID = -6317148733119502392L;

	@ApiModelProperty("阿里云读取文件地址")
	private String accessUrl;

	@ApiModelProperty("阿里云签名唯一标识")
	private String signIdentifier;

	@ApiModelProperty("阿里云上传form请求地址 POST")
	private String formUrl;

	@ApiModelProperty("form表单参数(上传文件的参数名为'file')")
	private Map<String, String> formParams;
	
	

	public GetAliyunSignDomain() {
		super();
		super.setFsType(FileStorageType.ALIYUN);
	}

	public String getAccessUrl() {
		return accessUrl;
	}

	public void setAccessUrl(String accessUrl) {
		this.accessUrl = accessUrl;
	}

	public String getSignIdentifier() {
		return signIdentifier;
	}

	public void setSignIdentifier(String signIdentifier) {
		this.signIdentifier = signIdentifier;
	}

	public String getFormUrl() {
		return formUrl;
	}

	public void setFormUrl(String formUrl) {
		this.formUrl = formUrl;
	}

	public Map<String, String> getFormParams() {
		return formParams;
	}

	public void setFormParams(Map<String, String> formParams) {
		this.formParams = formParams;
	}

}
