package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class GetQrCodeReq implements JsonSerializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = -8684452576786540515L;
	@NotNull(message = "考生ID不能为空")
	@ApiModelProperty(value = "考生ID")
	private Long examStudentId;
	@NotNull(message = "考试记录DataID不能为空")
	@ApiModelProperty(required = true,value = "考试记录DataID")
	private Long examRecordDataId;
	@NotNull(message = "题号不能为空")
	@ApiModelProperty(required = true,value = "考试试题号")
	private Integer order;
	@ApiModelProperty(required = true,value = "传输文件类型")
	private String transferFileType;

	@ApiModelProperty(required = true,value = "是否用来测试环境")
	private boolean testEnv;

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}
	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Integer getOrder() {
		return order;
	}
	public void setOrder(Integer order) {
		this.order = order;
	}
	public Long getExamStudentId() {
		return examStudentId;
	}
	public void setExamStudentId(Long examStudentId) {
		this.examStudentId = examStudentId;
	}

	public String getTransferFileType() {
		return transferFileType;
	}

	public void setTransferFileType(String transferFileType) {
		this.transferFileType = transferFileType;
	}

	public boolean isTestEnv() {
		return testEnv;
	}

	public void setTestEnv(boolean testEnv) {
		this.testEnv = testEnv;
	}
}
