package cn.com.qmth.examcloud.core.oe.student.bean;

import java.util.Map;

import cn.com.qmth.examcloud.web.filestorage.FileStorageType;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description 获取又拍云签名实体
 * @Author lideyin
 * @Date 2019/7/29 13:51
 * @Version 1.0
 */
public class GetUpyunSignDomain extends GetYunSignDomain {
	private static final long serialVersionUID = -7428336128716146142L;

	@ApiModelProperty("又拍云读取文件地址")
	private String accessUrl;

	@ApiModelProperty("又拍云签名唯一标识")
	private String signIdentifier;

	@ApiModelProperty("又拍云上传form请求地址 POST")
	private String formUrl;

	@ApiModelProperty("form表单参数(上传文件的参数名为'file')")
	private Map<String, String> formParams;
	
	

	public GetUpyunSignDomain() {
		super();
		super.setFsType(FileStorageType.UPYUN);
	}

	public String getAccessUrl() {
		return accessUrl;
	}

	public void setAccessUrl(String accessUrl) {
		this.accessUrl = accessUrl;
	}

	public String getSignIdentifier() {
		return signIdentifier;
	}

	public void setSignIdentifier(String signIdentifier) {
		this.signIdentifier = signIdentifier;
	}

	public String getFormUrl() {
		return formUrl;
	}

	public void setFormUrl(String formUrl) {
		this.formUrl = formUrl;
	}

	public Map<String, String> getFormParams() {
		return formParams;
	}

	public void setFormParams(Map<String, String> formParams) {
		this.formParams = formParams;
	}

}
