package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description 保存人脸活体检测结果请求对象
 * @Author lideyin
 * @Date 2019/10/14 11:21
 * @Version 1.0
 */
public class SaveFaceBiopsyResultReq implements JsonSerializable {
	private static final long serialVersionUID = 3996944262550668002L;

	@ApiModelProperty(value = "考试记录id",required = true)
	private Long examRecordDataId;

	@ApiModelProperty(value = "人脸活体检测明细id",required = true)
	private Long faceBiopsyItemId;

	@ApiModelProperty(value = "实际活体检测步骤",required = true)
	private List<FaceBiopsyStepInfo> verifySteps;

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Long getFaceBiopsyItemId() {
		return faceBiopsyItemId;
	}

	public void setFaceBiopsyItemId(Long faceBiopsyItemId) {
		this.faceBiopsyItemId = faceBiopsyItemId;
	}

	public List<FaceBiopsyStepInfo> getVerifySteps() {
		return verifySteps;
	}

	public void setVerifySteps(List<FaceBiopsyStepInfo> verifySteps) {
		this.verifySteps = verifySteps;
	}
}
