package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;

public class SaveUploadedFileAcknowledgeStatusReq implements JsonSerializable {

    /**
     *
     */
    private static final long serialVersionUID = 2015767610417418141L;
    @NotNull(message = "考试记录DataID不能为空")
    @ApiModelProperty(required = true, value = "考试记录DataID")
    private Long examRecordDataId;
    @NotNull(message = "题号不能为空")
    @ApiModelProperty(required = true, value = "考试试题号")
    private Integer order;
    @NotNull(message = "文件路径（含文件名）不能为空")
    @ApiModelProperty(required = true, value = "文件路径（含文件名）")
    private String filePath;

    @NotNull(message = "答复状态不允许为空")
    @ApiModelProperty(required = true,value = "答复状态（CONFIRMED:已确认,DISCARDED:已弃用）")
    private String acknowledgeStatus;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }


    public Integer getOrder() {
        return order;
    }

    public void setOrder(Integer order) {
        this.order = order;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getAcknowledgeStatus() {
        return acknowledgeStatus;
    }

    public void setAcknowledgeStatus(String acknowledgeStatus) {
        this.acknowledgeStatus = acknowledgeStatus;
    }
}
