package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * @Description 开始答题
 * @Author lideyin
 * @Date 2020/8/18 10:48
 * @Version 1.0
 */
public class StartAnswerInfo implements JsonSerializable {

    private static final long serialVersionUID = 2633999021945517003L;

    private Long examRecordDataId;

    /**
     * 考试时长
     */
    private Long duration;
    
    /**
     * 作答时长（秒）
     */
    private Long usedExamSeconds;

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public Long getDuration() {
        return duration;
    }

    public void setDuration(Long duration) {
        this.duration = duration;
    }

	public Long getUsedExamSeconds() {
		return usedExamSeconds;
	}

	public void setUsedExamSeconds(Long usedExamSeconds) {
		this.usedExamSeconds = usedExamSeconds;
	}
    
}

