package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.web.filestorage.FileStorageType;
import io.swagger.annotations.ApiModelProperty;

public class UpyunSignatureInfo extends YunSignatureInfo {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2401837848131443152L;
	@ApiModelProperty(value = "上传到又拍云的url")
	private String uploadUrl;
	@ApiModelProperty(value = "又拍云签名")
	private String signature;
	@ApiModelProperty(value = "又拍云policy")
	private String policy;
	@ApiModelProperty(value = "上传到又拍云的文件路径（含文件名）")
	private String filePath;
	@ApiModelProperty(value = "取又拍云文件时的域名")
	private String upyunFileDomain;
	
	public UpyunSignatureInfo() {
		super();
		super.setFsType(FileStorageType.UPYUN);
	}

	
	public String getSignature() {
		return signature;
	}
	public void setSignature(String signature) {
		this.signature = signature;
	}
	public String getPolicy() {
		return policy;
	}
	public void setPolicy(String policy) {
		this.policy = policy;
	}
	public String getFilePath() {
		return filePath;
	}
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	public String getUploadUrl() {
		return uploadUrl;
	}
	public void setUploadUrl(String uploadUrl) {
		this.uploadUrl = uploadUrl;
	}
	public String getUpyunFileDomain() {
		return upyunFileDomain;
	}
	public void setUpyunFileDomain(String upyunFileDomain) {
		this.upyunFileDomain = upyunFileDomain;
	}
	
}
