package cn.com.qmth.examcloud.core.oe.student.bean.client;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * 人脸活体具体动作验证结果
 */
public class FaceLiveVerifyAction implements JsonSerializable {

    private static final long serialVersionUID = 3567311334163339241L;

    @ApiModelProperty(value = "动作类型")
    private String type;

    @ApiModelProperty(value = "是否通过")
    private Boolean pass;

    @ApiModelProperty(value = "动作文件地址")
    private String fileUrl;

    @ApiModelProperty(value = "尝试操作次数")
    private Integer retry;

    @ApiModelProperty(value = "处理耗时（毫秒）")
    private Long processTime;

    @ApiModelProperty(value = "错误信息")
    private String errorMsg;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Boolean getPass() {
        return pass;
    }

    public void setPass(Boolean pass) {
        this.pass = pass;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Integer getRetry() {
        return retry;
    }

    public void setRetry(Integer retry) {
        this.retry = retry;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

}
