package cn.com.qmth.examcloud.core.oe.student.bean.task;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class SaveExamCaptureQueueInfo implements JsonSerializable {

    private static final long serialVersionUID = -7434669407796418900L;

    private Long examRecordDataId;

    private String fileUrl;

    /**
     * 是否存在虚拟摄像头
     */
    private Boolean hasVirtualCamera;

    /**
     * 摄像头信息  json字符串数组
     */
    private String cameraInfos;

    /**
     * 其他信息
     * Json格式
     * {
     * "":""
     * }
     */
    private String extMsg;

    @ApiModelProperty("又拍云签名唯一标识")
    private String signIdentifier;

    public String getSignIdentifier() {
        return signIdentifier;
    }

    public void setSignIdentifier(String signIdentifier) {
        this.signIdentifier = signIdentifier;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public Boolean getHasVirtualCamera() {
        return hasVirtualCamera;
    }

    public void setHasVirtualCamera(Boolean hasVirtualCamera) {
        this.hasVirtualCamera = hasVirtualCamera;
    }

    public String getCameraInfos() {
        return cameraInfos;
    }

    public void setCameraInfos(String cameraInfos) {
        this.cameraInfos = cameraInfos;
    }

    public String getExtMsg() {
        return extMsg;
    }

    public void setExtMsg(String extMsg) {
        this.extMsg = extMsg;
    }

}
