package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.student.bean.task.SaveExamCaptureQueueInfo;
import cn.com.qmth.examcloud.core.oe.student.dao.enums.ExamCaptureQueueStatus;

/**
 * @Description 图片抓拍队列
 * @Author lideyin
 * @Date 2019/12/11 14:40
 * @Version 1.0
 */
public interface ExamCaptureQueueService {

    /**
     * 处理失败时,保存队列信息
     *
     * @param captureQueueId
     * @param errorMsg
     * @param examCaptureQueueStatus
     */
    boolean saveExamCaptureQueueEntityByFailed(Long captureQueueId, String errorMsg,
                                               ExamCaptureQueueStatus examCaptureQueueStatus);

    /**
     * 保存考试抓拍照片队列
     *
     * @param saveExamCaptureQueueInfo
     * @param studentId
     * @return
     */
    String saveExamCaptureQueue(SaveExamCaptureQueueInfo saveExamCaptureQueueInfo, Long studentId);

}
