package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.support.examing.ExamFileAnswer;

/**
 * @Description 文件作答接口
 * @Author lideyin
 * @Date 2019/12/13 17:31
 * @Version 1.0
 */
public interface ExamFileAnswerService {

    /**
     * 保存文件作答结果
     *
     * @param examFileAnswer
     * @return 返回主键id
     */
    void saveFileAnswer(String fileAnswerId, ExamFileAnswer examFileAnswer);

    /**
     * 删除文件作答记录
     *
     * @param fileAnswerId
     */
    void deleteFileAnswer(String fileAnswerId);

    /**
     * 获取文件作答结果
     *
     * @param fileAnswerId
     * @return
     */
    ExamFileAnswer getFileAnswer(String fileAnswerId);

}
