package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.student.api.request.GetExamRecordPaperStructReq;
import cn.com.qmth.examcloud.core.oe.student.api.response.GetExamRecordPaperStructResp;
import cn.com.qmth.examcloud.support.examing.ExamRecordPaperStruct;

/**
 * @author chenken
 */
public interface ExamRecordPaperStructService {

    /**
     * 保存
     */
    void saveExamRecordPaperStruct(Long examRecordDataId, ExamRecordPaperStruct paper);

    /**
     * 获取
     *
     * @param examRecordDataId
     * @return
     */
    ExamRecordPaperStruct getExamRecordPaperStruct(Long examRecordDataId);

    /**
     * 删除
     *
     * @param examRecordDataId
     */
    void deleteExamRecordPaperStruct(Long examRecordDataId);

    GetExamRecordPaperStructResp getExamRecordPaperStruct(GetExamRecordPaperStructReq req);

}
