package cn.com.qmth.examcloud.core.oe.student.api.controller;

import cn.com.qmth.examcloud.core.oe.student.service.ExamRecordPaperStructService;
import cn.com.qmth.examcloud.support.examing.ExamRecordPaperStruct;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author chenken
 * @date 2018年9月5日 下午4:02:15
 * @company QMTH
 * @description 考试记录-试卷结构controller
 */
@Api(tags = "考试记录-试卷结构")
@RestController
@RequestMapping("${app.api.oe.student}/examRecordPaperStruct")
public class ExamRecordPaperStructController extends ControllerSupport {

    @Autowired
    private ExamRecordPaperStructService examRecordPaperStructService;

    @ApiOperation(value = "获取考试记录试卷结构")
    @GetMapping("/getExamRecordPaperStruct")
    public ExamRecordPaperStruct getExamRecordPaperStruct(@RequestParam Long examRecordDataId) {
        return examRecordPaperStructService.getExamRecordPaperStruct(examRecordDataId);
    }

}
