package cn.com.qmth.examcloud.core.oe.student.base.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class CompareFaceSyncInfo implements JsonSerializable {

    private static final long serialVersionUID = 802462624028077528L;

    /**
     * 人脸比对是否通过
     */
    private Boolean isPass;

    /**
     * 学生ID
     */
    private Long studentId;

    /**
     * 是否有陌生人
     */
    private Boolean isStranger;

    /**
     * 是否存在系统错误
     */
    private boolean existsSystemError;

    /**
     * 错误信息
     */
    private String errorMsg;

    /**
     * 文件名称(无需返回给前台)
     */
    private transient String fileName;

    /**
     * 文件路径(无需返回给前台)
     */
    private transient String fileUrl;

    /**
     * 人脸比对结果(无需返回给前台)
     */
    private transient String faceCompareResult;

    /**
     * 人脸比对的处理时间(无需返回给前台)
     */
    private transient Long processTime;

    public Boolean getIsPass() {
        return isPass;
    }

    public void setIsPass(Boolean isPass) {
        this.isPass = isPass;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }

    public Boolean getIsStranger() {
        return isStranger;
    }

    public void setIsStranger(Boolean isStranger) {
        this.isStranger = isStranger;
    }

    public Boolean getExistsSystemError() {
        return existsSystemError;
    }

    public void setExistsSystemError(boolean existsSystemError) {
        this.existsSystemError = existsSystemError;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public String getFileUrl() {
        return fileUrl;
    }

    public void setFileUrl(String fileUrl) {
        this.fileUrl = fileUrl;
    }

    public String getFaceCompareResult() {
        return faceCompareResult;
    }

    public void setFaceCompareResult(String faceCompareResult) {
        this.faceCompareResult = faceCompareResult;
    }

    public Long getProcessTime() {
        return processTime;
    }

    public void setProcessTime(Long processTime) {
        this.processTime = processTime;
    }

}
