package cn.com.qmth.examcloud.core.oe.student.base.utils;

import cn.com.qmth.examcloud.question.commons.core.question.QuestionType;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月1日 下午2:24:07
 * @company 	QMTH
 * @description QuestionTypeUtil.java
 */
public class QuestionTypeUtil {

	/**
	 * 是否是客观题,客观题返回true
	 * @param questionType
	 * @return
	 */
	public static boolean isObjectiveQuestion(QuestionType questionType){
		if(questionType==QuestionType.SINGLE_CHOICE
    			||questionType==QuestionType.MULTIPLE_CHOICE
    				||questionType==QuestionType.TRUE_OR_FALSE){
    		return true;
    	}
		return false;
	}
	
	/**
	 * 是否是选择题,单选多选返回true
	 * @param questionType
	 * @return
	 */
	public static boolean isChoiceQuestion(QuestionType questionType){
		if(questionType==QuestionType.SINGLE_CHOICE
    			||questionType==QuestionType.MULTIPLE_CHOICE){
    		return true;
    	}
		return false;
	}
}
