package cn.com.qmth.examcloud.core.oe.student.dao;

import cn.com.qmth.examcloud.core.oe.student.dao.entity.ExamFaceLiveVerifyEntity;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface ExamFaceLiveVerifyRepo extends JpaRepository<ExamFaceLiveVerifyEntity, Long>,
        JpaSpecificationExecutor<ExamFaceLiveVerifyEntity> {

    List<ExamFaceLiveVerifyEntity> findByExamRecordDataIdAndFinished(Long examRecordDataId, boolean finished);

    List<ExamFaceLiveVerifyEntity> findByExamRecordDataId(Long examRecordDataId);

}
