package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.enums.ExamType;
import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

public class CheckExamInProgressInfo implements JsonSerializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 5411680698118472710L;
	
    /**
     * 限制切屏次数
     */
    private Integer maxSwitchScreenCount;
    
    /**
     * 已切屏次数
     */
    private Integer switchScreenCount;
    
    //是否达到切屏次数
  	private Boolean exceedMaxSwitchScreenCount;

	//已断点次数
	private Integer interruptNum;
	
	//最大断点次数限制
	private Integer maxInterruptNum;
	
	//是否达到最大断点限制
	private Boolean isExceed;
	
	private Long examRecordDataId;
	
	private Long examId;
	/**
	 * 使用时间
	 */
	private Long usedTime;
	/**
	 * 活体检测启动分钟数
	 */
	private Integer faceVerifyMinute;
	
    /**
     * 考试类型
     */
    private ExamType examType;

	public Long getExamRecordDataId() {
		return examRecordDataId;
	}

	public void setExamRecordDataId(Long examRecordDataId) {
		this.examRecordDataId = examRecordDataId;
	}

	public Long getExamId() {
		return examId;
	}

	public void setExamId(Long examId) {
		this.examId = examId;
	}

	public Long getUsedTime() {
		return usedTime;
	}

	public void setUsedTime(Long usedTime) {
		this.usedTime = usedTime;
	}

	public Integer getFaceVerifyMinute() {
		return faceVerifyMinute;
	}

	public void setFaceVerifyMinute(Integer faceVerifyMinute) {
		this.faceVerifyMinute = faceVerifyMinute;
	}

	public Integer getInterruptNum() {
		return interruptNum;
	}

	public void setInterruptNum(Integer interruptNum) {
		this.interruptNum = interruptNum;
	}

	public Integer getMaxInterruptNum() {
		return maxInterruptNum;
	}

	public void setMaxInterruptNum(Integer maxInterruptNum) {
		this.maxInterruptNum = maxInterruptNum;
	}

	public Boolean getIsExceed() {
		return isExceed;
	}

	public void setIsExceed(Boolean isExceed) {
		this.isExceed = isExceed;
	}

    
    public ExamType getExamType() {
        return examType;
    }

    
    public void setExamType(ExamType examType) {
        this.examType = examType;
    }

	public Integer getMaxSwitchScreenCount() {
		return maxSwitchScreenCount;
	}

	public void setMaxSwitchScreenCount(Integer maxSwitchScreenCount) {
		this.maxSwitchScreenCount = maxSwitchScreenCount;
	}

	public Integer getSwitchScreenCount() {
		return switchScreenCount;
	}

	public void setSwitchScreenCount(Integer switchScreenCount) {
		this.switchScreenCount = switchScreenCount;
	}

	public Boolean getExceedMaxSwitchScreenCount() {
		return exceedMaxSwitchScreenCount;
	}

	public void setExceedMaxSwitchScreenCount(Boolean exceedMaxSwitchScreenCount) {
		this.exceedMaxSwitchScreenCount = exceedMaxSwitchScreenCount;
	}

}
