package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;

/**
 * @Description 考试过程记录
 * @Author lideyin
 * @Date 2020/8/20 17:44
 * @Version 1.0
 */
public class ExamProcessRecordInfo implements JsonSerializable {
    private static final long serialVersionUID = 5667104330981650606L;

    /**
     * 主键id
     */
    private Long id;

    /**
     * 考试记录ID
     */
    private Long examRecordDataId;

    /**
     * 过程名称
     */
    private String processName;

    /**
     * 过程记录时间
     */
    private String recordTime;

    /**
     * 访问源ip
     */
    private String sourceIp;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamRecordDataId() {
        return examRecordDataId;
    }

    public void setExamRecordDataId(Long examRecordDataId) {
        this.examRecordDataId = examRecordDataId;
    }

    public String getProcessName() {
        return processName;
    }

    public void setProcessName(String processName) {
        this.processName = processName;
    }

    public String getRecordTime() {
        return recordTime;
    }

    public void setRecordTime(String recordTime) {
        this.recordTime = recordTime;
    }

    public String getSourceIp() {
        return sourceIp;
    }

    public void setSourceIp(String sourceIp) {
        this.sourceIp = sourceIp;
    }
}
