package cn.com.qmth.examcloud.core.oe.student.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @Description 人脸活体检测基本信息
 * @Author lideyin
 * @Date 2019/10/14 11:21
 * @Version 1.0
 */
public class FaceBiopsyInfo implements JsonSerializable {
    private static final long serialVersionUID = -8323306595159483818L;

    @ApiModelProperty(value = "活体检测开始分钟数", required = true)
    private Integer faceVerifyMinute;

    @ApiModelProperty(value = "人脸活体检测明细id", required = true)
    private Long faceBiopsyItemId;

    @ApiModelProperty(value = "人脸活体检测步骤", required = true)
    private List<FaceBiopsyStepInfo> verifySteps;

    public Integer getFaceVerifyMinute() {
        return faceVerifyMinute;
    }

    public void setFaceVerifyMinute(Integer faceVerifyMinute) {
        this.faceVerifyMinute = faceVerifyMinute;
    }

    public Long getFaceBiopsyItemId() {
        return faceBiopsyItemId;
    }

    public void setFaceBiopsyItemId(Long faceBiopsyItemId) {
        this.faceBiopsyItemId = faceBiopsyItemId;
    }

    public List<FaceBiopsyStepInfo> getVerifySteps() {
        return verifySteps;
    }

    public void setVerifySteps(List<FaceBiopsyStepInfo> verifySteps) {
        this.verifySteps = verifySteps;
    }
}
