package cn.com.qmth.examcloud.core.oe.student.bean.client;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

public class FaceLiveVerifyInfo implements JsonSerializable {

    private static final long serialVersionUID = 3567311334163339241L;

    @ApiModelProperty(value = "当前活检记录ID")
    private Long faceLiveVerifyId;

    @ApiModelProperty(value = "当前活检开始时间")
    private Integer startMinute;

    @ApiModelProperty(value = "当前第几次活检")
    private Integer times;

    @ApiModelProperty(value = "是否成功过")
    private Boolean hasSuccess;

    public Long getFaceLiveVerifyId() {
        return faceLiveVerifyId;
    }

    public void setFaceLiveVerifyId(Long faceLiveVerifyId) {
        this.faceLiveVerifyId = faceLiveVerifyId;
    }

    public Integer getStartMinute() {
        return startMinute;
    }

    public void setStartMinute(Integer startMinute) {
        this.startMinute = startMinute;
    }

    public Integer getTimes() {
        return times;
    }

    public void setTimes(Integer times) {
        this.times = times;
    }

    public Boolean getHasSuccess() {
        return hasSuccess;
    }

    public void setHasSuccess(Boolean hasSuccess) {
        this.hasSuccess = hasSuccess;
    }

}
