package cn.com.qmth.examcloud.core.oe.student.bean.task;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;

/**
 * 人脸检测结果实体
 */
public class CalculateFaceCheckResultInfo implements JsonSerializable {

    private static final long serialVersionUID = -6342079591051146307L;

    /**
     * 无照片违纪
     */
    private Boolean isNoPhotoAndIllegality;

    /**
     * 是否违纪
     */
    private Boolean isIllegality;

    /**
     * 是否异常数据
     */
    private Boolean isWarn;

    /**
     * 抓拍比对成功次数
     */
    private Integer faceSuccessCount;

    /**
     * 抓拍比对失败次数
     */
    private Integer faceFailedCount;

    /**
     * 抓拍存在陌生人的次数
     */
    private Integer faceStrangerCount;

    /**
     * 抓拍比对总次数
     */
    private Integer faceTotalCount;

    /**
     * 抓拍比对成功比率
     */
    private Double faceSuccessPercent;

    /**
     * 百度人脸活体检测通过率
     */
    private Double baiduFaceLivenessSuccessPercent;

    public Boolean getNoPhotoAndIllegality() {
        return isNoPhotoAndIllegality;
    }

    public void setNoPhotoAndIllegality(Boolean noPhotoAndIllegality) {
        isNoPhotoAndIllegality = noPhotoAndIllegality;
    }

    public Boolean getIsIllegality() {
        return isIllegality;
    }

    public void setIsIllegality(Boolean isIllegality) {
        this.isIllegality = isIllegality;
    }

    public Boolean getIsWarn() {
        return isWarn;
    }

    public void setIsWarn(Boolean isWarn) {
        this.isWarn = isWarn;
    }

    public Integer getFaceSuccessCount() {
        return faceSuccessCount;
    }

    public void setFaceSuccessCount(Integer faceSuccessCount) {
        this.faceSuccessCount = faceSuccessCount;
    }

    public Integer getFaceFailedCount() {
        return faceFailedCount;
    }

    public void setFaceFailedCount(Integer faceFailedCount) {
        this.faceFailedCount = faceFailedCount;
    }

    public Integer getFaceStrangerCount() {
        return faceStrangerCount;
    }

    public void setFaceStrangerCount(Integer faceStrangerCount) {
        this.faceStrangerCount = faceStrangerCount;
    }

    public Integer getFaceTotalCount() {
        return faceTotalCount;
    }

    public void setFaceTotalCount(Integer faceTotalCount) {
        this.faceTotalCount = faceTotalCount;
    }

    public Double getFaceSuccessPercent() {
        return faceSuccessPercent;
    }

    public void setFaceSuccessPercent(Double faceSuccessPercent) {
        this.faceSuccessPercent = faceSuccessPercent;
    }

    public Double getBaiduFaceLivenessSuccessPercent() {
        return baiduFaceLivenessSuccessPercent;
    }

    public void setBaiduFaceLivenessSuccessPercent(Double baiduFaceLivenessSuccessPercent) {
        this.baiduFaceLivenessSuccessPercent = baiduFaceLivenessSuccessPercent;
    }

}
