package cn.com.qmth.examcloud.core.oe.student.service;

import cn.com.qmth.examcloud.core.oe.student.bean.ExamProcessRecordInfo;

import java.util.Date;
import java.util.List;

/**
 * @Description 考试过程记录服务
 * @Author lideyin
 * @Date 2020/8/20 17:39
 * @Version 1.0
 */
public interface ExamProcessRecordService {

    /**
     * 保存考试记录
     *
     * @param examRecordDataId
     * @param processName
     * @param recordTime
     * @param sourceIp
     */
    void saveExamProcessRecord(Long examRecordDataId, String processName, Date recordTime, String sourceIp);

    /**
     * 获取考试过程记录
     *
     * @param examRecordDataId
     * @return
     */
    List<ExamProcessRecordInfo> getExamProcessRecords(Long examRecordDataId);

}
